> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile

> Updates profile information for the authenticated user.



## OpenAPI

````yaml post /api/v1/user/me
openapi: 3.0.3
info:
  title: OneFirewall Offensive Security API
  description: >-
    API endpoints for the Vulnix Scanner, user management, and configuration.


    ## Authentication


    Authentication is handled via API keys. You must include your key in the
    `api-key` header with every request.


    - **Header**: `api-key: {your-api-key}`

    - **Key Format**: A single secret string provided upon creation.


    ## Organization Context


    For endpoints requiring an organization context (like scanning), you can
    specify your organization ID:


    - **Header**: `X-Org-Id: {your-org-id}`

    - **Query Parameter**: `?org_id={your-org-id}`


    If not provided, the request will use your default organization.
  version: 1.0.0
servers:
  - url: https://vulnix0.com
    description: Production server
security:
  - apiKeyAuth: []
paths:
  /api/v1/user/me:
    post:
      tags:
        - User Management
      summary: Update User Profile
      description: Updates profile information for the authenticated user.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileRequest'
      responses:
        '200':
          description: Profile updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
              example:
                status: success
                message: Profile updated successfully
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdateProfileRequest:
      type: object
      properties:
        name:
          type: string
          example: John
        surname:
          type: string
          example: Doe
        company_name:
          type: string
          example: Cyber Corp
        address:
          type: string
          example: 123 Example St, Example City
        receive_notification:
          type: boolean
          example: true
        profile_picture_url:
          type: string
          format: uri
          example: https://example.com/avatar.png
          description: Must end with .png, .jpg, .jpeg, .webp, or .gif
    SuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        error:
          type: string
          example: Error message description
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: A unique API Key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.